// ************** main.c  ******************
// Test of virtual SCI port   
// Technological Arts MC9S12C32 board

// 9S12C32 PT2 is RxD (input to 9S12C32) 
// 9S12C32 PT3 is TxD (output from 9S12C32)
// 9S12C32 channel 4 output compare interrupt used 

//  This example accompanies the books
//   "Embedded Microcomputer Systems: Real Time Interfacing",Thomson, copyright (c) 2006,
//   "Introduction to Embedded Microcomputer Systems: 
//    Motorola 6811 and 6812 Simulation", Thomson, copyright (c) 2002,
// Jonathan W. Valvano 6/11/07

// You may use, edit, run or distribute this file 
//    as long as the above copyright notices remain 

#include "SCIb.H"
#include "PLL.H"
#include <hidef.h>       /* common defines and macros */
#include <mc9s12c32.h>   /* derivative information */
#pragma LINK_INFO DERIVATIVE "mc9s12c32"


unsigned short num;
//unsigned char Letter;
void main(void) {
  PLL_Init();         // running at 24MHz
  SCIb_Init(9600);    // SCIb initialization
//  for(;;) {
//    Letter = SCIb_InChar();
//    SCIb_OutChar(Letter);
// }
  SCIb_OutString("Jonathan Valvano 6/12/07");
  for(;;) {
    SCIb_OutChar(CR);   SCIb_OutChar(LF); 
    SCIb_OutString("Decimal ");
    num = SCIb_InUDec();
    SCIb_OutUDec(num);
    SCIb_OutChar(CR);   SCIb_OutChar(LF); 
    SCIb_OutString("Hex ");
    num = SCIb_InUHex();
    SCIb_OutUHex(num);
  } 
}
